Package org.eclipse.birt.chart.model.attribute

# Interface Cursor

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `CursorImpl`

public interface Cursor extends IChartObject
A representation of the model object 'Cursor'. This type represents a mouse cursor being displayed in chart. When mouse is moving over the hotspot area, the mouse cursor will become the specified cursor.

The following features are supported:

- `Type`
- `Image`

See Also:
  - `AttributePackage.getCursor()`

## Method Summary

Modifier and Type
Method
Description
`Cursor`
`copyInstance()`
`org.eclipse.emf.common.util.EList<Image>`
`getImage()`
Returns the value of the 'Image' containment reference list.
`CursorType`
`getType()`
Returns the value of the 'Type' attribute.
`boolean`
`isSetType()`
Returns whether the value of the '`Type`' attribute is set.
`void`
`setType(CursorType value)`
Sets the value of the '`Type`' attribute.
`void`
`unsetType()`
Unsets the value of the '`Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

CursorType getType()
Returns the value of the 'Type' attribute. The literals are from the enumeration `CursorType`.

If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

The type attribute indicates the cursor type.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `CursorType`
  - `isSetType()`
  - `unsetType()`
  - `setType(CursorType)`
  - `AttributePackage.getCursor_Type()`

### setType

void setType(CursorType value)
Sets the value of the '`Type`' attribute.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `CursorType`
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Unsets the value of the '`Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(CursorType)`

### isSetType

boolean isSetType()
Returns whether the value of the '`Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(CursorType)`

### getImage

org.eclipse.emf.common.util.EList<Image> getImage()
Returns the value of the 'Image' containment reference list. The list contents are of type `Image`. The attribute stores custom cursor images, it might be image uri or embedded image.

Returns:
  the value of the 'Image' containment reference list.
See Also:
  - `AttributePackage.getCursor_Image()`

### copyInstance

Cursor copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`